post with toot

This commit is contained in:
filifa 2024-07-30 20:05:02 -05:00
parent cf785d190d
commit 44db3a28dc
2 changed files with 29 additions and 4 deletions

View File

@ -2,12 +2,15 @@
set -e
while getopts 'd:' opt
while getopts 'd:a:' opt
do
case $opt in
d)
db=$OPTARG
;;
a)
account=$OPTARG
;;
?)
exit 1
;;
@ -20,4 +23,15 @@ then
exit 1
fi
sqlite3 $db < posthighlights.sql | awk -F  '{print $3 | "xargs curl >" $2; close("xargs curl >" $2); printf "%s\n\n#baseball #highlights\n", $1; print $2 | "xargs rm"}'
if [[ -z $account ]]
then
echo "$0:" '-a is required' >&2
exit 1
fi
get='print $3 | "xargs curl >" $2; close("xargs curl >" $2)'
fmt='printf "%s\n\n#baseball #highlights\n", $1'
post='"toot post -m " $2'
post+="\" --using $account\""
del='print $2 | "xargs rm"'
sqlite3 $db < posthighlights.sql | awk -F  "{$get; $fmt | $post; close($post); $del}"

View File

@ -2,12 +2,15 @@
set -e
while getopts 'd:' opt
while getopts 'd:a:' opt
do
case $opt in
d)
db=$OPTARG
;;
a)
account=$OPTARG
;;
?)
exit 1
;;
@ -20,4 +23,12 @@ then
exit 1
fi
sqlite3 $db < postplays.sql | awk -F  '{printf "%s\n\n%s %s\n#%s %s\n#%s %s\n\n#baseball #live\n", $1, $2, $3, $4, $5, $6, $7}'
if [[ -z $account ]]
then
echo "$0:" '-a is required' >&2
exit 1
fi
fmt='printf "%s\n\n%s %s\n#%s %s\n#%s %s\n\n#baseball #live\n", $1, $2, $3, $4, $5, $6, $7'
post="toot post --using $account"
sqlite3 $db < postplays.sql | awk -F  "{$fmt | \"$post\"}"